function NE_Lab1_Exercise1()
clc
clear  
close all

X=[4 2 4 2 1 1 3 4 5 1 1 2 4 1 3 3 2 1 4 1 1 4 4 1 2 1 2 1 4 4 1 2 2 1 4 4 3 2 1 1 1 2 3 4 2 1 2 1 1 2 1 4 5 5 4 5 4 5 2 1 1 1 2 1 2 1 4 4 2 2 1 3 4 5 5 4];

disp('X(t): Mean | Variance');
EX = mean(X);
VX = var(X,1); % var of N (biased estimator)
disp([EX VX]);

Xspace = [1 2 3 4 5];

P=zeros(5,5);

for i=1:length(X)-1
    P(X(i),X(i+1))=P(X(i),X(i+1))+1; 
end

P=(P'./sum(P,2)')'; % normalization

disp('matrix P');
disp(P);

[V, ~]=eigs(P');

st=V(:,1).';

eq_dist = st./sum(st);
%sum(eq_dist) check if sum == 1;

disp('Stationary Distribution');
disp(eq_dist);

EX_ = (Xspace)*eq_dist';
EX2_ = (Xspace.^2)*eq_dist';
VX_ = EX2_ - EX_^2;

disp('Mean | Second moment | Variance');
disp([EX_ EX2_ VX_]);

% Y(t) generator (with the same properties than X(t)

Pcs = cumsum(P')';

%Nsamples = length(X);
Nsamples = 10000;
Y = zeros(1, Nsamples);
Y(1)=1; % First value

for n=1:Nsamples 
    
   v=rand(); % random number between 0 and 1 
   f=find(Pcs(Y(n),:)>v);
   
   Y(n+1)=f(1); 
end

%disp('Y(t)');
%disp(Y);

disp('Y(t): Mean | Variance');
mean(Y)
var(Y,1)

figure
subplot(2,1,1); plot(X,'r','LineWidth',1); ylabel('X(t)'); xlabel('seconds'); grid on;
subplot(2,1,2); plot(Y,'k','LineWidth',1); ylabel('Y(t)'); xlabel('seconds'); grid on;




