function pi = compute_mmkk(C, a)

% C = number of channels
% a = traffic load [Erlangs]


pi=zeros(C+1,1);
b=zeros(C+1,1);

for i=1:C+1
    b(i)=(a^(i-1)/factorial(i-1));
end

pi(1) = 1/sum(b);

for i=2:C+1
    pi(i) = pi(1)*b(i);
end

n=0:1:C;

figure(1)
hold on
set(gcf,'color','w');
bar(n,pi)
xlabel('State')
ylabel('Probability')

end

