function pi = compute_mmkk_guard_channels( C, a, g, a_h )

% C number of channels
% a traffic load
% g number of guard channels
% a_h handover traffic load

pi=zeros(C+1,1);
b=zeros(C+1,1);

for i=1:C-g+1
    b(i)=(a^(i-1)/factorial(i-1));
end

j=C-g;

for i=C-g+2:C+1
    b(i)=(a^(j) * a_h^(i-C+g-1))/factorial(i-1);
end  

pi(1) = 1/sum(b);

for i=2:C+1
    pi(i) = pi(1)*b(i);
end

n=0:1:C;

%figure(1)
%hold on
%set(gcf,'color','w');
%bar(n,pi)
%xlabel('State')
%ylabel('Probability')

end

