
% Input:
% -- lambda: arrival rate (poisson)
% -- EX: expected service time (expo)
% Output
% -- System delay
% -- Buffer delay
% -- Queue Utilization

function [ED,EDq,rho]=mm1(lambda,EDs)

a = lambda * EDs;

mu = 1 / EDs;

if(a >= 1) 
    disp('System is unstable');
    ED = inf;
    EDq = inf;
else
   ED = 1 / (mu - lambda);
   EDq = ED - EDs;
end

rho = a;

end