
function NE_Lab1_Exercise2()

L=12000; % packet size
EDs = 1E-3;

lambda_1 = 900;
lambda_4 = 225;
lambda_8 = 112.5;

mu=1/EDs;

% a) k=1

Q1 = [-lambda_1 lambda_1 0 0 0 0 0 0 0 0;
    mu -mu-lambda_1 lambda_1 0 0 0 0 0 0 0;
    0 mu -mu-lambda_1 lambda_1 0 0 0 0 0 0;
    0 0 mu -mu-lambda_1 lambda_1 0 0 0 0 0;
    0 0 0 mu -mu-lambda_1 lambda_1 0 0 0 0;
    0 0 0 0 mu -mu-lambda_1 lambda_1 0 0 0;
    0 0 0 0 0 mu -mu-lambda_1 lambda_1 0 0;
    0 0 0 0 0 0 mu -mu-lambda_1 lambda_1 0;
    0 0 0 0 0 0 0 mu -mu-lambda_1 lambda_1;
    0 0 0 0 0 0 0 0 mu -mu;];

disp(Q1);

eq_dist_k1=mrdivide([zeros(1,size(Q1,1)) 1],[Q1 ones(size(Q1,1),1)]); % the left null space of Q is equivalent to solve [pi] * Q =  [0 0 ... 0 1]

disp('Stationary Probability Distribution');
disp(eq_dist_k1);

traffic_load_k1 = lambda_1 * L * 1

prob_NE_notempty_k1 = 1-eq_dist_k1(1)

prob_buffer_empty_k1 = eq_dist_k1(2)

prob_NE_full_k1 = eq_dist_k1(10)

pb_k1 = eq_dist_k1(10)

% b) k=4

% (0) (1) (2) (3) (4) (5) (6) (7) (8) (9)

Q4 = [-lambda_4 0 0 0 lambda_4 0 0 0 0 0;
    mu -mu-lambda_4 0 0 0 lambda_4 0 0 0 0;
    0 mu -mu-lambda_4 0 0 0 lambda_4 0 0 0;
    0 0 mu -mu-lambda_4 0 0 0 lambda_4 0 0;
    0 0 0 mu -mu-lambda_4 0 0 0 lambda_4 0;
    0 0 0 0 mu -mu-lambda_4 0 0 0 lambda_4;
    0 0 0 0 0 mu -mu-lambda_4 0 0 lambda_4;
    0 0 0 0 0 0 mu -mu-lambda_4 0 lambda_4;
    0 0 0 0 0 0 0 mu -mu-lambda_4 lambda_4;
    0 0 0 0 0 0 0 0 mu -mu;];

disp(Q4);

eq_dist_k4=mrdivide([zeros(1,size(Q4,1)) 1],[Q4 ones(size(Q4,1),1)]); % the left null space of Q is equivalent to solve [pi] * Q =  [0 0 ... 0 1]

disp('Stationary Probability Distribution');
disp(eq_dist_k4);

traffic_load_k4 = lambda_4 * L * 4

prob_NE_notempty_k4 = 1-eq_dist_k4(1)

prob_buffer_empty_k4 = eq_dist_k4(2)

prob_NE_full_k4 = eq_dist_k4(10)

pb_k4 = (4/4)*eq_dist_k4(10) + (3/4)*eq_dist_k4(9)  + (2/4)*eq_dist_k4(8)  + (1/4)*eq_dist_k4(7)    

disp('----')
% c) k=8

% (0) (1) (2) (3) (4) (5) (6) (7) (8) (9)

Q8 = [-lambda_8 0 0 0 0 0 0 0 lambda_8 0;
    mu -mu-lambda_8 0 0 0 0 0 0 0 lambda_8;
    0 mu -mu-lambda_8 0 0 0 0 0 0 lambda_8;
    0 0 mu -mu-lambda_8 0 0 0 0 0 lambda_8;
    0 0 0 mu -mu-lambda_8 0 0 0 0 lambda_8;
    0 0 0 0 mu -mu-lambda_8 0 0 0 lambda_8;
    0 0 0 0 0 mu -mu-lambda_8 0 0 lambda_8;
    0 0 0 0 0 0 mu -mu-lambda_8 0 lambda_8;
    0 0 0 0 0 0 0 mu -mu-lambda_8 lambda_8;    
    0 0 0 0 0 0 0 0 mu -mu;];

disp(Q8);

eq_dist_k8=mrdivide([zeros(1,size(Q8,1)) 1],[Q8 ones(size(Q8,1),1)]); % the left null space of Q is equivalent to solve [pi] * Q =  [0 0 ... 0 1]

disp('Stationary Probability Distribution');
disp(eq_dist_k8);

traffic_load_k8 = lambda_8 * L * 8

prob_NE_notempty_k8 = 1-eq_dist_k8(1)

prob_buffer_empty_k8 = eq_dist_k8(2)

prob_NE_full_k8 = eq_dist_k8(10)

pb_k8 = (8/8)*eq_dist_k8(10) + (7/8)*eq_dist_k8(9)  + (6/8)*eq_dist_k8(8)  + (5/8)*eq_dist_k8(7)  + (4/8)*eq_dist_k8(6)  + (3/8)*eq_dist_k8(5)  + (2/8)*eq_dist_k8(4)  + (1/8)*eq_dist_k8(3) 


