% Lab Session 5 - Network Engineering - UPF

function [ED1,ED2,ED3,ED4]=mg1APmodel(lambda1,lambda2,lambda3,lambda4,EL1,EL2,EL3,EL4,CV1,CV2,CV3,CV4)

more off

% Transmission Rate AP

R = 26E6;

EDs1=EL1/R;
EDs2=EL2/R;
EDs3=EL3/R;
EDs4=EL4/R;

rho1=lambda1*EL1/R;
rho2=lambda2*EL2/R;
rho3=lambda3*EL3/R;
rho4=lambda4*EL4/R;

rho = rho1+rho2+rho3+rho4;

% Residual Time

EDr = rho1 * EDs1*(1+CV1^2)/2 + rho2 * EDs2*(1+CV2^2)/2 + rho3 * EDs3*(1+CV3^2)/2 + rho4 * EDs4*(1+CV4^2)/2; 

% Waiting Delay

EDq = EDr / (1-rho);

% Total Delay

ED1 = EDs1 + EDq;
ED2 = EDs2 + EDq;
ED3 = EDs3 + EDq;
ED4 = EDs4 + EDq;

disp(['ED1=' num2str(ED1) ' ED2=' num2str(ED2) ' ED3=' num2str(ED3) ' ED4=' num2str(ED4)]);

