% Lab Session 4 - Network Engineering - UPF

function [ED1,ED2,ED3,ED4]=mg1APmodelprio_h2l(lambda1,lambda2,lambda3,lambda4,EL1,EL2,EL3,EL4,CV1,CV2,CV3,CV4)

more off

% Transmission Rate AP

R = 26E6;

EDs1=EL1/R;
EDs2=EL2/R;
EDs3=EL3/R;
EDs4=EL4/R;

rho1=lambda1*EL1/R;
rho2=lambda2*EL2/R;
rho3=lambda3*EL3/R;
rho4=lambda4*EL4/R;

rho = rho1+rho2+rho3+rho4;

% Residual Time

EDr = rho1 * EDs1*(1+CV1^2)/2 + rho2 * EDs2*(1+CV2^2)/2 + rho3 * EDs3*(1+CV3^2)/2 + rho4 * EDs4*(1+CV4^2)/2; 

% Waiting Delay
r1 = rho3;
r2 = rho2;
r3 = rho4;
r4 = rho1;

EDq1_t = EDr / (1-r1)
EDq2_t = EDr / ((1-r1)*(1-r1-r2))
EDq3_t = EDr / ((1-r1-r2)*(1-r1-r2-r3))
EDq4_t = EDr ./ ((1-r1-r2-r3)*(1-r1-r2-r3-r4))

EDq1 = EDq4_t;
EDq2 = EDq2_t;
EDq3 = EDq1_t;
EDq4 = EDq3_t;
% Total Delay

ED1 = EDs1 + EDq1;
ED2 = EDs2 + EDq2;
ED3 = EDs3 + EDq3;
ED4 = EDs4 + EDq4;

disp(['ED1=' num2str(ED1) ' ED2=' num2str(ED2) ' ED3=' num2str(ED3) ' ED4=' num2str(ED4)]);

